* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

::-webkit-scrollbar {
    width: 8px;
    height: 5px;
}

::-webkit-scrollbar-track {
    background: transparent;
}

::-webkit-scrollbar-thumb {
    background: #DB3939;
    border-radius: 10px;
}

:root {
    --primary-color: #DB3939;
    --secondary-color: #B1AEAE;

    --primary-background: #F3F2F2;

    --header-height: 12vh;

    --title-font: 'Lora', serif;

    --font-system : -apple-system, BlinkMacSystemFont,
    "Segoe UI", "Roboto", "Oxygen",
    "Ubuntu", "Cantarell", "Fira Sans",
    "Droid Sans", "Helvetica Neue", sans-serif;
}

body {
    font-family: Inter, sans-serif;
    width: 100%;
    overflow-x: hidden;
    max-width: 1950px;
    margin: auto;
}

@keyframes animationEnter {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 100%;
    }
}

/* header */

header {
    width: 100%;
    height: var(--header-height);
    display: flex;
    justify-content: space-between;
    padding: .5rem 1.5rem;
    /*animation: enterHeader .8s ease-in-out;*/
}

@keyframes enterHeader {
    0% {
        transform: translateY(-100%);
    }

    100% {
        transform: translateY(0);
    }
}

.progScroll {
    position: fixed;
    top: 0;
    height: 3px;
    border-radius: 0 .5rem .5rem 0;
    background-color: var(--primary-color);
    z-index: 999999;
    transform-origin: left;
    transform: scaleX(0%);
    width: 100%;
}

.logo {
    height: 100%;
    z-index: 9999;
}

.logo img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    z-index: 9999;
}

.navigation--bar {
    display: flex;
    align-items: center;
    justify-content: end;
    width: 100%;
    z-index: 99;
}

.navigation--bar .menu--list {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    gap: 1rem;
}

.navigation--bar .menu--list .menu--list--item {
    list-style: none;
    margin: 0 .5rem;
    text-align: center;
    position: relative;
    padding-bottom: .5rem;
}

.navigation--bar .menu--list .menu--list--item a,
.navigation--bar .menu--list li span {
    text-decoration: none;
    color: black;
    font-size: 1.2rem;
    font-weight: 700;
    transition: all .3s ease-in-out;
    text-align: center;
    cursor: pointer;
}

.under--bar {
    position: absolute;
    display: inline-block;
    bottom: 5px;
    left: 0;
    height: 2px;
    transition: all .3s ease-in-out;
    width: 0%;
    background-color: black;
}

.nav-link_active {
    width: 100%;
    background-color: var(--primary-color);
}

.navigation--bar .menu--list .menu--list--item:hover .under--bar {
    width: 100%;
}

#sous-menu--wrapper {
    padding-right: 1rem;
}

#sous-menu--wrapper::after {
    content: '🢓';
    margin-left: .5rem;
    display: inline-block;
    font-size: 2rem;
    position: absolute;
    top: -2px;
}

.sous-menu {
    position: relative;
    list-style: none;
    margin: 0 .5rem;
    text-align: center;
    padding-bottom: .5rem;
}

.sous-menu--list {
    position: absolute;
    bottom: 0;
    left: 0;
    transform: translate(-20%, 100%);
    transition: all .3s ease-in-out;
    background-color: white;
    border: 1px solid #f1f1f1;
    box-shadow: 0 10px 15px -3px rgba(0,0,0,0.1);
    padding: 1.2rem;
    border-radius: .5rem;
    z-index: 999;
    white-space: pre-line;
    display: none;
    flex-direction: column;
    align-items: start;
    gap: .3rem;
    text-align: start;
}

.sous-menu--list > li {
    padding: .5rem;
    border-radius: 4px;
    list-style: none;
    position: relative;
    width: 100%;
}

.sous-menu--list > li:hover {
    background-color: #f3f0f0;
    width: 100%;
}

.sous-menu--list > li a {
    font-weight: 400;
    color: #2c2c2c;
    text-decoration: none;
}

.sous-menu:hover .sous-menu--list {
    display: flex;
    animation: enter-sous-menu .4s ease-in-out;
}

.soon {
    position: absolute;
    display: inline-block;
    top: 0;
    right: 0;
    transform: translate(0%, 15%);
    /*clip-path: polygon(0% 0%, 100% 0, 71% 49%, 100% 100%, 0% 100%);*/
    background-color: var(--primary-color);
    color: white;
    /*padding: .3rem 1.5rem .3rem .5rem;*/
    padding: .3rem .6rem;
    font-size: .8rem;
    border-radius: 4px;
    font-weight: 600;
}

@keyframes enter-sous-menu {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 100%;
    }
}

.round {
    display: inline-block;
    width: 4px;
    height: 4px;
    border-radius: 50%;
    background-color: black;
    margin-bottom: .5rem;
}

.open--menu {
    display: none;
}

.close--menu {
    display: none;
}

@media (max-width: 1032px) {

    header {
        align-items: center;
    }

    .navigation--bar {
        background-color: white;
        position: fixed;
        height: 100vh;
        width: 100vw;
        top: 0;
        right: 0;
        z-index: 999;
        transform: translateX(100%);
        transition: all .5s ease-in-out;
        justify-content: center;
    }

    .sous-menu--list {
        text-align: center;
    }

    .navigation--bar ul {
        flex-direction: column;
        align-items: center;
    }

    .open--menu {
        display: block;
        cursor: pointer;
        margin-top: .5rem;
        width: 58px;
        height: 58px;
    }

    .close--menu {
        display: block;
        position: absolute;
        top: 1rem;
        right: 1rem;
    }

    .active--nav {
        transform: translateX(0);
    }

    .no--scroll {
        overflow: hidden;
    }
}

/* footer */

footer {
    background-color: var(--primary-background);
    padding: 2rem;
    display: flex;
    justify-content: space-around;
    gap: 1rem;
}

.social-network {
    flex: 1;
    border-right: 1px solid #B1AEAE;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    padding: 0 3rem 0 2rem;
}

.social-network h3 {
    font-size: 1.3rem;
    font-weight: 600;
}

.social-network p {
    margin-bottom: .5rem;
}

.icon {
    display: flex;
    gap: 1rem;
}

.icon a {
    width: 30px;
    height: 30px;
}

.icon a svg {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.newsletter {
    flex: 1;
    padding: 0 1rem;
    display: flex;
    flex-direction: column;
    gap: 2rem;
    justify-content: start;
}

.newsletter h3 {
    font-size: 1.3rem;
    font-weight: 600;
}

.newsletter form {
    display: flex;
    gap: 1rem;
    align-items: center;
}

.newsletter form input {
    width: 80%;
    height: 40px;
    border: none;
    border-bottom: 1px solid #B1AEAE;
    background-color: transparent;
    padding: 0;
}

.newsletter form input:focus {
    outline: none;
}

.newsletter form button {
    border: none;
    background-color: var(--primary-color);
    color: white;
    font-size: 1rem;
    font-weight: 700;
    cursor: pointer;
    border-radius: 5px;
    transition: all .3s ease-in-out;
    padding: .5rem 2rem;
}

.newsletter form button:hover {
    background-color: #a11515;
}

.newsletter p {
    /*font-size: .8rem;*/
    /*color: #B1AEAE;*/

    font-size: 1rem;
    color: #2c2c2c;
    line-height: 2;
}

.newsletter p strong a {
    color: var(--primary-color);
    font-weight: 700;
}

#error--newsletter {
    color: red;
    font-size: .8rem;
}

#success--newsletter {
    color: green;
    font-size: .8rem;
}

.mentions {
    display: flex;
    justify-content: end;
    width: 100%;
}

.mentions a {
    color: black;
    text-decoration: none;
}

.mentions a:hover {
    text-decoration: underline;
}

@media (max-width: 800px) {
    footer {
        flex-direction: column;
        gap: 1rem;
    }

    .social-network {
        border-right: none;
        border-bottom: 1px solid #B1AEAE;
        padding-bottom: 1.5rem;
    }

    .newsletter form {
        flex-direction: column;
        gap: 1rem;
    }

    .mentions {
        justify-content: center;
    }
}
